function  (dt)
    if car.waterTemperature >  95 then
    ac.accessCarPhysics().engineLifeLeft = 0
     end
   end

   local counter =  0
   local stalledFor =  0
   
   function script.update(dt)
    local data = ac.accessCarPhysics()
    if math.abs(data.gForces.x)>  2 then
    counter = counter + dt
    else
    counter =  0
     end
   
     if counter >  2 then
        - If g-force was above threshold for more than two seconds, activate stall for a second
    stalledFor =  1
     end
   
     if stalledFor > 0 then
        - If stalled, lock gas pedal at 0
    stalledFor = stalledFor - dt
    data.gas = 0
     end
   end

   function  (dt)
    local data = ac.accessCarPhysics()
    local jetActive = car.extraA and car.speedKmh > 40
    data.controllerInputs[0] = jetActive and  1 or  0
     if jetActive then
    ac.addForce(vec3(0, 0, -2), true, vec3(0, 0, 5000), true)
    end
   end